Get agent

Returns a single agent by id.

get
https://{your-bynder-domain}/api/1/agent/agents/{id}

Path Parameters

idstring(uuid)required

Response

application/json

Agent

Agent

An agent.

idstring(uuid)read-only
namestring
descriptionstring
promptobject

An agent prompt.

Show Child Parameters
createdAtstring(date-time)
modifiedAtstring(date-time)
accountIdstring(uuid)
statusstring

Allowed values:ACTIVEINACTIVEDRAFT

autoApplyboolean
autoApplyUserIdstring | null(uuid)
agentsarray[string]

The capabilities of the agent.

Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT

agentPropertiesobject
* Additional properties are allowed.
createdBystring(uuid)
get/api/1/agent/agents/{id}
 
application/json

Edit agent

Partially updates an agent. Only the fields provided in the request body are changed; capabilities cannot be modified after creation. For the prompt and agentProperties configuration of each capability, see the description of POST /api/1/agent/agents.

patch
https://{your-bynder-domain}/api/1/agent/agents/{id}

Path Parameters

idstring(uuid)required

Body

application/json

AgentUpdateRequest

Request body for a partial update. All fields are optional. Capabilities cannot be changed after the agent is created.

autoApplyboolean
namestring

<= 50 characters

descriptionstring

<= 130 characters

statusstring

Allowed values:ACTIVEINACTIVEDRAFT

promptobject

The prompt to set on an agent when you create or edit it. Unlike the read-only Prompt in responses, id and version are optional here.

Show Child Parameters
agentPropertiesobject
* Additional properties are allowed.

Response

application/json

Updated agent

Agent

An agent.

idstring(uuid)read-only
namestring
descriptionstring
promptobject

An agent prompt.

Show Child Parameters
createdAtstring(date-time)
modifiedAtstring(date-time)
accountIdstring(uuid)
statusstring

Allowed values:ACTIVEINACTIVEDRAFT

autoApplyboolean
autoApplyUserIdstring | null(uuid)
agentsarray[string]

The capabilities of the agent.

Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT

agentPropertiesobject
* Additional properties are allowed.
createdBystring(uuid)
patch/api/1/agent/agents/{id}

Body

{}
 
application/json

Delete agent

Deletes an agent by id.

delete
https://{your-bynder-domain}/api/1/agent/agents/{id}

Path Parameters

idstring(uuid)required

Response

Agent deleted

delete/api/1/agent/agents/{id}
 

Executions

Run agents and query the resulting agent and asset executions status.

List agent executions

Returns a paginated list of agent executions, filtered by the query parameters below.

get
https://{your-bynder-domain}/api/1/agent/executions

Query Parameters

agentIdsarray[string](uuid)
statusesarray[string]

Allowed values:RUNNINGACTION_REQUIREDCOMPLETED

capabilitiesarray[string]

Allowed values:ENRICHMENT_AGENTTRANSFORMATION_AGENTBRAND_COMPLIANCE_AGENTGOVERNANCE_AGENTPATH_GENERATOR_AGENT

userIdsarray[string](uuid)

Filter to executions run by one of these users.

automationRuleIdsarray[string](uuid)

Filter to executions run by one of these automation rules.

ranByAutomationOnlyboolean

When true, returns only executions triggered by an automation rule.

fromDatestring(date-time)
toDatestring(date-time)
workspaceBatchIdstring(uuid)

Returns only the executions started for this workspace upload batch.

assetIdstring(uuid)
startstring(uuid)

Cursor from the previous page’s nextPage. Omit for the first page.

limitinteger

Default:20

>= 1<= 100

sortstring

Default:-modifiedAt

Response

application/json

Paginated list of agent executions

PaginatedExecutions

A page of executions. metadata.nextPage is a query string to add to the same request URL, or null on the last page.

itemsarray[object]

An agent execution.

Show Child Parameters
metadataobject
Show Child Parameters
get/api/1/agent/executions
 
application/json